PHP is among the most widely used reflective programming languages. It’s exceptionally popular because it is free software, which can be used to create interactive sites like community sites, web shops or online learning websites rather than static HTML-based sites. A PHP module should be installed on the server where a PHP-driven site is hosted so that its code can be ‘translated’. Since there are no license taxes for this sort of module and the language offers incalculable options for the apps that you develop, there’re hundreds of millions of PHP websites. Furthermore, there’re a large number of PHP scripts, which you can use for your websites without having to possess any programming know-how. Given the fact that there are different versions of PHP, you need to verify whether the same version that you used while creating your website is installed on the server too.

PHP 4 and PHP 5 Support in Shared Hosting

We’ve made the decision not to prevent our present and potential customers from picking what PHP version their sites will be using, which suggests that if you get a shared hosting plan from our company, you will be able to select between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the hosting account as a whole, but also for each single domain hosted by you. This can be done with only one click of the mouse from our in-house developed Hepsia hosting Control Panel via which all web hosting accounts are managed, so you will not need to have any technical or coding experience. You will be able to run sites built with both old and new scripts without having to deal with any difficulties, so if you’d like to change your current hosting company and migrate over to us, you can be sure that all the websites that you have developed through the years will continue to run impeccably.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

If you have a site built with an older version of PHP and you’ve dedicated time and effort on setting it up, fixing safety gaps and inputting web content, you’ll need to find a web hosting service that can support it, as most web hosts these days offer only the most recent version of PHP and remove the previous ones. We, however, have decided to let you select the exact version that your very own sites need. Our semi-dedicated hosting plans support multiple versions of PHP 5 and PHP 4, which suggests that you’ll be able to use both older and newer scripts without losing any custom modifications or wasting time and energy trying to make your sites compatible with the web hosting platform. You can change the version from the Hepsia Control Panel and such a change will affect the whole semi-dedicated account, but you’ll also have the ability to pick a different version of PHP for each single site that you host in your account using an .htaccess config file.